3d08221403054156635d90f6cb224bc1ec5b3bb6
[ais.git] / debian / postrm
1 #!/bin/sh
2 # postrm script for eyefiserver
3 #
4 # see: dh_installdeb(1)
5
6 set -e
7
8 # summary of how this script can be called:
9 #        * <postrm> `remove'
10 #        * <postrm> `purge'
11 #        * <old-postrm> `upgrade' <new-version>
12 #        * <new-postrm> `failed-upgrade' <old-version>
13 #        * <new-postrm> `abort-install'
14 #        * <new-postrm> `abort-install' <old-version>
15 #        * <new-postrm> `abort-upgrade' <old-version>
16 #        * <disappearer's-postrm> `disappear' <overwriter>
17 #          <overwriter-version>
18 # for details, see http://www.debian.org/doc/debian-policy/ or
19 # the debian-policy package
20
21
22 case "$1" in
23         purge)
24                 if dpkg-statoverride --list /var/lib/ais >/dev/null 2>&1; then
25             dpkg-statoverride --remove /var/lib/ais
26         fi
27         ;;
28         remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
29         ;;
30
31         *)
32                 echo "postrm called with unknown argument \`$1'" >&2
33                 exit 1
34         ;;
35 esac
36
37 # dh_installdeb will replace this with shell code automatically
38 # generated by other debhelper scripts.
39
40 #DEBHELPER#
41
42 exit 0